Loading...
Searching...
No Matches
Ogre::ShadowTextureConfig Struct Reference
Core » Scene

Structure containing the configuration for one shadow texture. More...

`#include <OgreSceneManager.h>`

## Public Member Functions

| ShadowTextureConfig ()

## Public Attributes

uint32 | depth
uint16 | depthBufferPoolId
uint16 | extraFlags
PixelFormat | format
uint8 | fsaa
uint32 | height
TextureType | type
uint32 | width

## Detailed Description

Structure containing the configuration for one shadow texture.

## Constructor & Destructor Documentation

## ShadowTextureConfig()

Ogre::ShadowTextureConfig::ShadowTextureConfig | ( |  | ) |

inline

References depth, depthBufferPoolId, extraFlags, format, fsaa, height, Ogre::PF_BYTE_RGBA, Ogre::TEX_TYPE_2D, type, and width.

## Member Data Documentation

## width

uint32 Ogre::ShadowTextureConfig::width

Referenced by ShadowTextureConfig().

## height

uint32 Ogre::ShadowTextureConfig::height

Referenced by ShadowTextureConfig().

## depth

uint32 Ogre::ShadowTextureConfig::depth

Referenced by ShadowTextureConfig().

## format

PixelFormat Ogre::ShadowTextureConfig::format

Referenced by ShadowTextureConfig().

## depthBufferPoolId

uint16 Ogre::ShadowTextureConfig::depthBufferPoolId

Referenced by ShadowTextureConfig().

## extraFlags

uint16 Ogre::ShadowTextureConfig::extraFlags

Referenced by ShadowTextureConfig().

## fsaa

uint8 Ogre::ShadowTextureConfig::fsaa

Referenced by ShadowTextureConfig().

## type

TextureType Ogre::ShadowTextureConfig::type

Referenced by ShadowTextureConfig().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h